<?php
	
	class actionCleanerOptions extends cmsAction{
		
		public function run(){
			
			$user = cmsUser::getInstance();
			
			if (!$user->is_admin) { cmsCore::error404(); }  
			
			$template = cmsTemplate::getInstance();
			
			$form = $this->getForm('options');
			
			$template->addBreadcrumb('Опции');
			$options = cmsController::loadOptions($this->name); 

                $options = preg_replace("/^,|,$|\"|\'/m",'', $options);
                $options = preg_replace("/^\s+|\s+$/m",'', $options);
                // dump($options);

                        $errors = false;

                        if ($this->request->has('submit')){
                      
                                $options = array_merge( $options, $form->parse($this->request, true) );
                                $errors  = $form->validate($this, $options);
                      
                                if (!$errors){
                      
                foreach ($options as $key => $value) {
                 $value = preg_replace('/\s+|\"|\'/',',', $value);
                  $value = preg_replace('/,+/',', ', $value);
                   $value = preg_replace("/^\s+|\s+$/m",'', $value);
                    $value = preg_replace('/^,|,$/m','', $value);
                     $value = preg_replace("/^\s+|\s+$/m",'', $value);
                     $options[$key] = "'".$value."'";
                }
                // dump($options);
                                        cmsUser::addSessionMessage(LANG_CP_SAVE_SUCCESS, 'success');

                                        cmsController::saveOptions($this->name, $options);

                $options = preg_replace("/^,|,$|\"|\'/m",'', $options);
                $options = preg_replace("/^\s+|\s+$/m",'', $options);
                
                					$this->processCallback(__FUNCTION__, array($options));
				}
				
				if ($errors){
					
					cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
				}
				
				
			}
			
			$template = cmsTemplate::getInstance();
			return $template->render('backend/options', array(
            'form' => $form,
            'options' => $options,
            'errors' => $errors
			));
			
		}
		
	}
	
